Subject: bug#41086: Fwd: bug#41086: [PATCH] Add user-defined column widths to package-list (package.el)

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 May 2020 03:39:09 +0200

---------- Forwarded message ---------
Från: Chris McMahan <[email-masked]>
Date: mån 4 maj 2020 kl 23:53
Subject: Re: bug#41086: [PATCH] Add user-defined column widths to
package-list (package.el)
To: Stefan Kangas <[email-masked]>

Hell Stefan,

Yes, this is my first patch. I've been implementing this fix in my
emacs configs for at least 5 years, just assuming someone else would
see it.

Thank you very much for you comments. They were most helpful.

I have no problem signing the copyright. I just need some guidance on
the process.

The revised patch is attached, made with the command
  git format-patch -1
against savannah.org repository.

The changelog entry follows:

* package.el (package-menu-mode): User can now adjust the column widths of
the package menu by setting the values of the following defcustoms.

(package-name-column-width) New defcustom
(package-version-column-width) New defcustom
(package-status-column-width) New defcustom

Hopefully, that covered all of the changes. Thanks again for your help!

- Chris McMahan

On Mon, May 4, 2020 at 5:03 PM Stefan Kangas <[email-masked]> wrote:
>
> Chris McMahan <[email-masked]> writes:
>
> > When executing the function `package-list-packages', the column widths are
> > too narrow, cutting off a significant
> > portion of the package names.
> >
> > This minor patch adds four variables that can be set by the user to adjust
> > the width of each column within the package list.
>
> Thanks for the patch, this makes sense.  I have some comments below.
>
> Is this your first patch to Emacs?  I can't find your name in the git
> log, but maybe I missed it.  Since your patch is over 15 lines, we
> would need a copyright assignment from you to be able to apply it.
> Would you be willing to sign such papers?
>
> Please see here for more: https://www.gnu.org/licenses/why-assign.html
>
> ---
>
> Now, here are my technical comments.
>
> Could you send your patch as formatted by 'git format-patch -1'
> instead?  It will make it easier for us to apply it.
>
> > Changelog entry
> > --------------------------------
> > 2020-05-04  Chris McMahan  <[email-masked]>
> >
> > * package.el ((define-derived-mode package-menu-mode tabulated-list-mode
> > "Package Menu"):
> > User can now adjust column widths of the package list by setting the values
> > of the following:
>
> This is better formatted like:
>
> * package.el (package-menu-mode): User can now adjust column widths of
> the package list by setting the values of the below defcustoms.
>
> > package-name-column-width (defaults to 30 columns)
> > package-version-column-width (14 column)
> > package-status-column-width (12 columns)
> > package-archive-column-width (14 columns)
>
> This should be formatted like so:
>
>     (package-archive-column-width): New defcustom.
>
> > +(defcustom package-name-column-width 30
> > +  "Column width of the 'Package' name within the package list
> > +invoked through `package-list-packages'."
> > +  :type 'number
> > +  :version "27.1")
>
> Should be :version "28.1", since this will most likely not go to the
> emacs-27 branch this close to the release.
>
> Also the first line should be a complete sentence in this defcustom
> and the others.  Please see M-x customize-group RET package RET if you
> want to see why.
>
> We prefer "package menu" to "package list".  I'm not sure why, but I
> think it has historical reasons.  Ideal or not, I think we should try
> to stay consistent.
>
> Possibly the docstrings could look something much like:
>
> "Column width for the Package name in the package menu."
>
> Refer to Info node `(elisp) Documentation Tips' for more.
>
> > -Letters do not insert themselves; instead, they are commands.
> > -\\<package-menu-mode-map>
> > -\\{package-menu-mode-map}"
> > +  Letters do not insert themselves; instead, they are commands.
> > +  \\<package-menu-mode-map>
> > +  \\{package-menu-mode-map}"
>
> Why this reformatting?  This will make the docstring look unusual in
> C-h f, I think.
>
> Thanks again for your patch.
>
> Best regards,
> Stefan Kangas

-- 
Chris McMahan <[email-masked]>